org.apache.ignite.internal.processors.cache.mvcc.txlog

## Class TxKey

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.txlog.TxKey

Direct Known Subclasses:
  TxRow

    public class TxKey
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`TxKey(long major, long minor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`long` `major()`
`long` `minor()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TxKey

    public TxKey(long major,
                 long minor)

Parameters:
  `major` - Major version.
  `minor` - Minor version

### Method Detail

#### major

    public long major()

Returns:
  Major version.

#### minor

    public long minor()

Returns:
  Minor version.

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.5
Release Date | : June 4 2019